NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback

## 5.10. nvmlPciInfo_t Struct Reference

## [Device Structs]

PCI information about a GPU device.

### Public Variables

unsigned int bus
  The bus on which the device resides, 0 to 0xff.
char busId[NVML_DEVICE_PCI_BUS_ID_BUFFER_SIZE]
  The tuple domain:bus:device.function PCI identifier (& NULL terminator).
unsigned int device
  The device's id on the bus, 0 to 31.
unsigned int domain
  The PCI domain on which the device's bus resides, 0 to 0xffff.
unsigned int pciDeviceId
  The combined 16-bit device id and 16-bit vendor id.
unsigned int pciSubSystemId
  The 32-bit Sub System Device ID.

### Variables

unsigned int nvmlPciInfo_t::bus [inherited]

  The bus on which the device resides, 0 to 0xff.

char nvmlPciInfo_t::busId[NVML_DEVICE_PCI_BUS_ID_BUFFER_SIZE] [inherited]

  The tuple domain:bus:device.function PCI identifier (& NULL terminator).

unsigned int nvmlPciInfo_t::device [inherited]

  The device's id on the bus, 0 to 31.

unsigned int nvmlPciInfo_t::domain [inherited]

  The PCI domain on which the device's bus resides, 0 to 0xffff.

unsigned int nvmlPciInfo_t::pciDeviceId [inherited]

  The combined 16-bit device id and 16-bit vendor id.

unsigned int nvmlPciInfo_t::pciSubSystemId [inherited]

  The 32-bit Sub System Device ID.

NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback